
Flourish - Bug #6577

Follow up - Block to start a Follow up schedule VISIT before completing a prior visit

08/11/2022 12:57 - Samuel Wilson Kgole

Status: Closed Start date: 08/11/2022

Priority: High Due date: 06/12/2022

Assignee: Itumeleng Mosweu % Done: 0%

Category: Follow Up Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Allow follow up visit to start only when a prior visit has been completed.

History

#1 - 14/11/2022 10:03 - Itumeleng Mosweu

- Category set to Follow Up

#2 - 14/11/2022 10:04 - Itumeleng Mosweu

- Due date set to 18/11/2022

#3 - 14/11/2022 10:13 - Itumeleng Mosweu

- Assignee set to Itumeleng Mosweu

#4 - 21/11/2022 10:09 - Itumeleng Mosweu

- Due date changed from 18/11/2022 to 24/11/2022

#5 - 28/11/2022 08:00 - Itumeleng Mosweu

- Due date changed from 24/11/2022 to 02/12/2022

#6 - 04/12/2022 23:29 - Itumeleng Mosweu

- Due date changed from 02/12/2022 to 06/12/2022

#7 - 07/12/2022 11:04 - Itumeleng Mosweu

- Status changed from New to Resolved

#8 - 07/12/2022 14:16 - Samuel Wilson Kgole

- Status changed from Resolved to Feedback

Before scheduling a follow up, here is what to do to avoid EDC leaving out last scheduled visit new. 

NB: CHANGE APPOINTMENT DATE AND TIME TO THE FUTURE DATE AFTER THE DATE YOU WANT TO SCHEDULE A FOLLOW UP

VISIT

FEEDBACK

This only work on the infant but not maternal side. The last booked quarterly call still exists yet changed to the date beyond the follow up scheduled date.

PID 353-0.

#9 - 08/12/2022 09:23 - Samuel Wilson Kgole

- Status changed from Feedback to Closed

24/04/2025 1/2



Future date after a scheduled follow-up visit was used both on the mother and the child. The last scheduled new visits were all removed and 3000 schedule

was created. 473-6 and her child.

For comparison, IF the last scheduled new visit date and time is before a follow-up visit, all other schedules were removed except this last new visit new. 

3000 visit could not be started while the last visit was still new. Tumie worked on rewording the validation message. PID used: 568-3 and her child.
